#pragma once

#include "CoreMinimal.h"
#include "PounceAttack.h"
#include "DBDTunableRowHandle.h"
#include "K06SpecialPounceAttack.generated.h"

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class THESHAPE_API UK06SpecialPounceAttack : public UPounceAttack
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FDBDTunableRowHandle _strafeMovementSpeedMultiplier;

public:
	UK06SpecialPounceAttack();
};

FORCEINLINE uint32 GetTypeHash(const UK06SpecialPounceAttack) { return 0; }
